### Method

# Shumate Viewport widget_coords_to_location

#### Declaration [src]

    void
    shumate_viewport_widget_coords_to_location (
      ShumateViewport* self,
      GtkWidget* widget,
      double x,
      double y,
      double* latitude,
      double* longitude
    )

#### Description [src]

Gets the latitude and longitude corresponding to a position on `widget`.

#### Parameters

`widget`

  Type: `GtkWidget`

  A `GtkWidget` that uses `self` as viewport.

  The data is owned by the caller of the method.

`x`

  Type: `double`

  The x coordinate.

`y`

  Type: `double`

  The y coordinate.

`latitude`

  Type: `double*`

  Return location for the latitude.

  The argument will be set by the function.

`longitude`

  Type: `double*`

  Return location for the longitude.

  The argument will be set by the function.